# KDE kasutaja käsiraamat

Lauri
Watts
&Lauri.Watts.mail;
25. veebruar 2005
KDE töökeskkond
&kappname;
1

# `ark`

&kde; arhiveerimistööriist

    ark  --extract --extract-to --add --add-to --guess-name  kataloog failid arhiiv KDE üldised võtmed Qt üldised võtmed

## Kirjeldus

&kappname; on rakendus paljudes vormingutes arhiivifailide haldamiseks &kde; töökeskkonnas. Arhiive saab vaadata, ekstraktida, luua ja muua otse &kappname;is. Rakendus tuleb toime paljude vormingutega: tar, gzip, bzip2, zip, rar ja lha (nende jaoks peavad siiski olema paigaldatud vastavad käsureaprogrammid). &kappname; oskab &kde; keskkonnas tegutseda tihedas koostöös &konqueror;iga, kui paigaldad &konqueror;i vastava plugina, mis leidub moodulis kdeaddons.

## Võtmed

`--extract`

  Avab ekstraktimisdialoogi ja väljub pärast lõpetamist

`--extract-to kataloog arhiiv`

  Ekstraktib arhiivi kataloogi. Väljub pärast lõpetamist. Kui kataloog puudub, see luuakse.

`--add failid`

  Küsib arhiivi nime, kuhu failid lisada. Väljub pärast lõpetamist.

`--add-to failid arhiiv`

  Lisab failid arhiivi. Väljub pärast lõpetamist. Kui arhiiv puudub, see luuakse.

`--guess-name kataloog arhiiv`

  Kasutatakse koos võtmega `--extract-to`. Määramise korral ekstraktitakse arhiiv kataloogi alamkataloogi, mille nimeks saab arhiiv ilma failinime laiendita.

## Keskkond

$`PATH`

  Käsureaprogrammid, mis käsitlevad arhiive, mida tahad käsitleda &kappname;i abil, peavad asuma sinu otsinguteel ($`PATH`).

## Näited

``ark` `--extract-to --guess-name` `.` `Arhiiv.tar.bz2``

  Ekstraktib faili `Arhiiv.tar.bz2` aktiivse kataloogi alamkataloogi `Arhiiv`.

``ark` `--add-to` `*.jpg` `pildid.tar.bz2``

  Lisab kõik failid, mille lõpus seisab *.jpg, arhiivi `pildid.tar.bz2`, luues selle faili, kui seda pole veel olemas.

## Vaata ka

tar(1), gzip(1), bzip2(1), zip(1), rar(1), lha(1)

Põhjalikumat kasutaja dokumentatsiooni pakub help:/ark (kirjuta see &URL; &konqueror;i või käivita käsuga ``khelpcenter` `help:/ark``).

## Autorid

&ark;i hooldaja on Henrique Pinto stampede@coltec.ufmg.br.

Käesoleva manuaalilehekülje kirjutas &Lauri.Watts; &Lauri.Watts.mail; &kde; 3.4 jaoks.